<h2 mat-dialog-title class="title">{{data.title}}</h2>
<div mat-dialog-content>
  <form class="example-form col-12 float-left">
    <div class="col-lg-12 col-12 float-left">

      <mat-form-field appearance="fill" class="col-12 col-sm-6">
        <mat-label class="font-comp">Tipo Documento</mat-label>
        <mat-select cdkFocusInitial name="tipodoc" class="font-comp" [(ngModel)]="trabajador_regis.n_idtipodoc" [(value)]="trabajador_regis.n_idtipodoc" >
          <mat-option value="0">Seleccione Tipo de Documento</mat-option>
          <mat-option
            *ngFor="let option of comboTipoDoc"
            value="{{ option.n_idconstante }}">
          {{ option.v_nombre }}
        </mat-option>
        </mat-select>
      </mat-form-field>

      <mat-form-field class="example-full-width col-12 col-sm-6" >
        <mat-label class="font-comp">Documento</mat-label>
        <input name="numdoc" matInput placeholder="Ingrese Documento" [attr.maxLength]="8" value="" class="col-l font-comp" [(ngModel)]="trabajador_regis.v_numdoc" >
      </mat-form-field>

      <mat-form-field class="example-full-width col-12 col-sm-6" >
        <mat-label class="font-comp">Nombres</mat-label>
        <input name="nombres"  matInput placeholder="Ingrese Nombre" [attr.maxLength]="validaServ.maxlength" value="" class="col-l font-comp" [(ngModel)]="trabajador_regis.v_nombres" (keyup)="generaUsuario()"  >
      </mat-form-field>

      <mat-form-field class="example-full-width col-12 col-sm-6" >
        <mat-label class="font-comp">Apellidos</mat-label>
        <input name="apellidos"  matInput placeholder="Ingrese Apellidos" [attr.maxLength]="validaServ.maxlength" value="" class="col-l font-comp" [(ngModel)]="trabajador_regis.v_apellidos" (keyup)="generaUsuario()" >
      </mat-form-field>

      <mat-form-field class="example-full-width col-12 col-sm-6" >
        <mat-label class="font-comp">Teléfono</mat-label>
        <input name="telefono"  matInput placeholder="Ingrese Teléfono" [attr.maxLength]="9" value="" class="col-l font-comp" [(ngModel)]="trabajador_regis.v_telefono" >
      </mat-form-field>

      <mat-form-field class="example-full-width col-12 col-sm-6" >
        <mat-label class="font-comp">Email</mat-label>
        <input name="email"  matInput placeholder="Ingrese Email" [attr.maxLength]="validaServ.maxlength" value="" class="col-l font-comp" [(ngModel)]="trabajador_regis.v_email" >
      </mat-form-field>

      <section *ngIf="data.id == 0" class="example-section col-12">
        <mat-checkbox name="chkUsuario" #chkUsu class="example-margin" [(ngModel)]="chkUsuario"  (change)="generaUsuario()">Generar Usuario</mat-checkbox>
        <mat-form-field class="example-full-width col-12 col-sm-6" *ngIf="chkUsu.checked">
          <input name="usuario"  matInput  disabled class="col-l font-comp usu-gen" [(ngModel)]="usuario_g">
          <button mat-icon-button matSuffix aria-label="Refresh" class="btn btn-dark" (click)="generaUsuario()">
            <i class="fa fa-undo" aria-hidden="true"></i>
          </button>
        </mat-form-field>
      </section>



    </div>
  </form>
  <div mat-dialog-actions class="example-full-width apbtn col-12 float-left">
    <button class="btn btn-sm btn-danger btn-uq" mat-button (click)="cancelar()">Cancelar</button>
    <button class="btn btn-sm btn-reg btn-uq" mat-button (click)="guardar()" >Aceptar</button>
    <!-- cdkFocusInitial ->FOCUS -->
  </div>
</div>

